commit:     6dc0ca3db541827290cc299fbc49286d45f3d86f
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 12 22:01:18 2025 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Fri Jun 13 07:16:11 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6dc0ca3d

dev-libs/libserdes: stop erroneously installing static libs

The fake autotools replacement is NOT in fact a drop-in replacement
after all. It doesn't support our use case at all. `rm` it manually.

Closes: https://bugs.gentoo.org/725138
Closes: https://bugs.gentoo.org/957823
Bug: https://github.com/edenhill/mklove/issues/16
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 dev-libs/libserdes/libserdes-5.4.0-r2.ebuild | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/dev-libs/libserdes/libserdes-5.4.0-r2.ebuild 
b/dev-libs/libserdes/libserdes-5.4.0-r2.ebuild
new file mode 100644
index 000000000000..1853effa735a
--- /dev/null
+++ b/dev-libs/libserdes/libserdes-5.4.0-r2.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Avro SerializationDeserialization w/ Confluent schema-registry 
support"
+HOMEPAGE="https://github.com/confluentinc/libserdes";
+SRC_URI="https://github.com/confluentinc/libserdes/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="dev-libs/jansson:=
+       net-misc/curl
+       dev-libs/avro-c"
+RDEPEND="${DEPEND}"
+
+src_install() {
+       default
+       # NIH reinvention of autoconf does not support autotools options
+       # such as controlling shared/static libs
+       rm "${ED}"/usr/$(get_libdir)/libserdes.a || die
+}

Reply via email to